org.codehaus.groovy.ast

## Class GenericsType.GenericsTypeName

- java.lang.Object
- - org.codehaus.groovy.ast.GenericsType.GenericsTypeName

- Enclosing class:
    GenericsType

      public static class GenericsType.GenericsTypeName
      extends java.lang.Object

  Represents GenericsType name TODO In order to distinguish GenericsType with same name(See GROOVY-8409), we should add a property to keep the declaring class. fixing GROOVY-8409 steps: 1) change the signature of constructor GenericsTypeName to `GenericsTypeName(String name, ClassNode declaringClass)` 2) try to fix all compilation errors(if `GenericsType` has declaringClass property, the step would be a bit easy to fix...) 3) run all tests to see whether the change breaks anything 4) if all tests pass, congratulations! but if some tests are broken, try to debug and find why... We should find a way to set declaring class for `GenericsType` first, it can be completed at the resolving phase.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericsTypeName(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericsTypeName

          public GenericsTypeName(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`